net.sf.jasperreports.engine.export.ooxml

## Class JROfficeOpenXmlExporterNature

- java.lang.Object
- - net.sf.jasperreports.engine.export.AbstractExporterNature
  - - net.sf.jasperreports.engine.export.ooxml.JROfficeOpenXmlExporterNature

- All Implemented Interfaces:
    ExporterFilter, ExporterNature
  Direct Known Subclasses:
    JRDocxExporterNature

      public abstract class JROfficeOpenXmlExporterNature
      extends AbstractExporterNature

  Version:
    $Id: JROfficeOpenXmlExporterNature.java 6076 2013-04-18 09:41:58Z lucianc $
  Author:
    sanda zaharia (shertage@users.sourceforge.net)

- - ### Field Summary

    - ### Fields inherited from class net.sf.jasperreports.engine.export.AbstractExporterNature

      `filter, handlerEnvironment, jasperReportsContext, propertiesUtil`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `JROfficeOpenXmlExporterNature(ExporterFilter filter)` Deprecated. Replaced by `JROfficeOpenXmlExporterNature(JasperReportsContext, ExporterFilter)`.
    `JROfficeOpenXmlExporterNature(JasperReportsContext jasperReportsContext, ExporterFilter filter)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `isBreakAfterRow(JRPrintElement element)`
    `boolean` | `isBreakBeforeRow(JRPrintElement element)`
    `boolean` | `isHorizontallyMergeEmptyCells()` Flag that specifies that empty cells are to be horizontally merged.
    `boolean` | `isIgnoreLastRow()`
    `boolean` | `isIgnorePageMargins()` Specifies whether empty page margins should be ignored
    `boolean` | `isSpanCells()` Specifies whether the exporter handles cells span
    `boolean` | `isToExport(JRPrintElement element)`

    - ### Methods inherited from class net.sf.jasperreports.engine.export.AbstractExporterNature

      `getPropertiesUtil, setXProperties, setXProperties, setYProperties, setYProperties`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface net.sf.jasperreports.engine.export.ExporterNature

      `isDeep`

- - ### Constructor Detail

    - #### JROfficeOpenXmlExporterNature

          public JROfficeOpenXmlExporterNature(JasperReportsContext jasperReportsContext,
                                       ExporterFilter filter)

    - #### JROfficeOpenXmlExporterNature

          public JROfficeOpenXmlExporterNature(ExporterFilter filter)

      Deprecated. Replaced by `JROfficeOpenXmlExporterNature(JasperReportsContext, ExporterFilter)`.

  - ### Method Detail

    - #### isToExport

          public boolean isToExport(JRPrintElement element)

    - #### isSpanCells

          public boolean isSpanCells()

      Description copied from interface: `ExporterNature`
      Specifies whether the exporter handles cells span

    - #### isIgnoreLastRow

          public boolean isIgnoreLastRow()

    - #### isHorizontallyMergeEmptyCells

          public boolean isHorizontallyMergeEmptyCells()

      Description copied from interface: `ExporterNature`
      Flag that specifies that empty cells are to be horizontally merged.

      If the flag is set and this nature is `deep`, the nature is required to `export` `frames`.

      Returns:
        whether empty cells are to be horizontally merged

    - #### isIgnorePageMargins

          public boolean isIgnorePageMargins()

      Specifies whether empty page margins should be ignored

    - #### isBreakBeforeRow

          public boolean isBreakBeforeRow(JRPrintElement element)

    - #### isBreakAfterRow

          public boolean isBreakAfterRow(JRPrintElement element)

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com